public class NumberReadException extends Exception {
    
    private String numberGiven;
    
    public NumberReadException(String numberGiven) {
        super();
        this.numberGiven = numberGiven;
    }

    public NumberReadException(String message, String numberGiven) {
        super(message);
        this.numberGiven = numberGiven;
    }

    public NumberReadException(String message, Throwable cause, String numberGiven) {
        super(message, cause);
        this.numberGiven = numberGiven;
    }
    
    public String getNumberGiven() {
        return numberGiven;
    }

}
